Subject: RE: [idn] Tilde

From: "Kane, Pat" <[email-masked]>
Date: Wed, 11 Aug 2004 15:01:21 -0400

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, August 11, 2004 1:00 AM
> To: tedd
> Cc: IETF idn working group
> Subject: Re: [idn] Tilde
> 
> tedd wrote:
> > You are misinformed -- domains names, which include the TILDE OPERATOR,
> > can be registered in both ".com" and ".net" TLD's and most likely other
> > registrars as well.
> 
> This is not true. Please take a look at
> 
> http://www.verisign.com/products-services/naming-and-directory-
> services/naming-services/internationalized-domain-names/page_001382.html
> 
> This is the list of scripts which are supported in the .com and .net
> zones. Characters that don't belong to one of these scripts, or
> labels that draw characters from multiple of these scripts, cannot
> be registered. As TILDE OPERATOR is in none of the listed scripts,
> no label containing it can be registered with Verisign when IDNA
> leaves the testbed status in that zone.

Scripts that are not listed here can still be registered.  Scripts
identified in Unicode such as Mathematical Operators were left off so that
there would be focus on the "... more than 350 languages ..." referenced at
the top of that same page.

> 
> For another example, please refer to DeNICs policies for the .de
> zone:
> 

...

> 
> > Also FYI, the character string "foo~" (where "~" is the TILDE OPERATOR)
> > currently translates to xn--foo-ch2a, which can be registered as
> > xn--foo-ch2a.com ("foo~.com). This domain is perfectly legal in both
> > .com and .net TLD's -- in fact, it's currently open.
> 
> Did you try that? Even if it works, .com is still in testbed, and,
> according to the IANA rules, and the published Verisign policies,
> will not be allowed in production use.

Com and net IDNs are in the production zones.  VeriSign indicated that there
would be no IDNs in the production zones until standards were published and
could be deployed.  VeriSign began the inclusion of standards compliant IDNs
in the com and net zones in December of 2003.

> 
> If you just used some Web interface to find out whether it has not
> been registered yet, and could be, then you probably have used a
> Web interface which does not implement the Verisign policy correctly.

I am unclear as to what VeriSign policy you are referring to here.

> 
> > In summary, my claim is that if you can map uppercase "A" to lowercase
> > "a", then you can map the TILDE to the TILDE OPERATOR.
> 
> Yes, but that would have no effect to IDNA, as I have explained.
> Even though Nameprep also maps "A" to "a", that mapping has no effect
> for a pure ASCII label. Nameprep simply does not affect pure ASCII
> labels.

...

> Regards,
> Martin

Regards,

Pat Kane
VeriSign Naming and Directory Services
703.948.3349

---

From: tedd <[email-masked]>
Date: Wed, 11 Aug 2004 16:29:27 -0400

Pat:

Great!  Someone from Versign.

>the top of that same page.

Will Versign's focus, at some point in the near future (i.e., less 
than 5 years, return to consider "other than language specific" 
blocks/scripts like Mathematical Operators, Dingbats, and such?

Thanks.

tedd
-- 
--------------------------------------------------------------------------------
http://sperling.com/

---

From: "Martin v. Löwis" <[email-masked]>
Date: Wed, 11 Aug 2004 22:29:26 +0200

Kane, Pat wrote:
> Com and net IDNs are in the production zones. 

That means the Web pages are just out of date? They still refer to the 
testbed. Specifically, on

http://www.verisign.com/products-services/naming-and-directory-services/naming-services/internationalized-domain-names/idn-standards/verisign-idn-testbed/index.html

it says "VeriSign’s IDN Testbed is in Phase 3.2."

> I am unclear as to what VeriSign policy you are referring to here.

There seem to be multiple. For example, on

http://www.verisign.com/products-services/naming-and-directory-services/naming-services/internationalized-domain-names/idn-standards/idn-character-variants/page_001485.html

Verisign refers to phases wrt. registration. For phase III (for which
I don't know whether it is in place yet), Verisign says

"all IDN registrations will require a valid language tag."

It then refers to language tables. Although it is not fully clear
what the purpose of the language tables is (potentially beyond
generating character variants), it appears that the intention
also is to constrain labels to only use a subset of the allowed
characters. For example, the table for Polish refers to
draft-bartosiewicz-idn-pltld-07.txt, which constrains the set
of allowed characters in .PL. So I would assume that a
registration which uses POL as the language tag can only use
the characters listed in that internet draft.

What language tag should I use when I want to register a domain
that contains TILDE OPERATOR?

Regards,
Martin